import { IExecuteFunctions } from 'n8n-core';
import { INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
import { oracleApiTest } from './OracleApiTest';
export declare class Oracle implements INodeType {
    description: INodeTypeDescription;
    methods: {
        credentialTest: {
            oracleApiTest: typeof oracleApiTest;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
