import { ICredentialType, INodeProperties } from 'n8n-workflow';
export interface IOracleApiCredentials {
    host: string;
    port: string;
    user: string;
    password: string;
    sid: string;
}
export declare class OracleApi implements ICredentialType {
    name: string;
    displayName: string;
    documentationUrl: string;
    properties: INodeProperties[];
}
