"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleApi = void 0;
class OracleApi {
    constructor() {
        this.name = 'oracleApi';
        this.displayName = 'Oracle API';
        this.documentationUrl = 'oracle';
        this.properties = [
            {
                displayName: 'Host',
                name: 'host',
                type: 'string',
                default: 'localhost',
            },
            {
                displayName: 'Port',
                name: 'port',
                type: 'string',
                default: '1521',
            },
            {
                displayName: 'User',
                name: 'user',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Password',
                name: 'password',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
            },
            {
                displayName: 'SID',
                name: 'sid',
                type: 'string',
                default: '',
            },
        ];
    }
}
exports.OracleApi = OracleApi;
//# sourceMappingURL=OracleApi.credentials.js.map